# Uses of Interface
org.eclipse.ui.console.IScrollLockStateProvider

Packages that use IScrollLockStateProvider
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IScrollLockStateProvider in org.eclipse.ui.console

Subinterfaces of IScrollLockStateProvider in org.eclipse.ui.console
Modifier and Type
Interface
Description
`interface`
`IConsoleView`
A view that displays consoles registered with the console manager.
Constructors in org.eclipse.ui.console with parameters of type IScrollLockStateProvider
Modifier
Constructor
Description
``
`TextConsoleViewer(Composite parent, TextConsole console, IScrollLockStateProvider scrollLockStateProvider)`
Constructs a new viewer in the given parent for the specified console.